summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-03-31 02:39:32 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-03-31 02:39:32 +0000
commit3fd5f2ac65c72d5b9f319ceaeef18bc308304bed (patch)
tree0c15b81375acbf41c8073bf217a0cb74bca54e0b /eclass/games-ut2k4mod.eclass
parentAdding a 'fix' from FreeBSD for bug #121428 until a proper solution is hashed... (diff)
downloadhistorical-3fd5f2ac65c72d5b9f319ceaeef18bc308304bed.tar.gz
historical-3fd5f2ac65c72d5b9f319ceaeef18bc308304bed.tar.bz2
historical-3fd5f2ac65c72d5b9f319ceaeef18bc308304bed.zip
Make sure we install all of the README files.
Diffstat (limited to 'eclass/games-ut2k4mod.eclass')
-rw-r--r--eclass/games-ut2k4mod.eclass18
1 files changed, 5 insertions, 13 deletions
diff --git a/eclass/games-ut2k4mod.eclass b/eclass/games-ut2k4mod.eclass
index 2d19beac0dc3..3a0884a5788c 100644
--- a/eclass/games-ut2k4mod.eclass
+++ b/eclass/games-ut2k4mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games-ut2k4mod.eclass,v 1.7 2005/07/06 20:23:20 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games-ut2k4mod.eclass,v 1.8 2006/03/31 02:39:32 wolf31o2 Exp $
inherit games
@@ -80,18 +80,10 @@ games-ut2k4mod_src_install() {
dodir ${dir}
cp -r ${S}/unpack/* ${Ddir}
- if [ -e ${S}/README.${MOD_BINS} ]
- then
- dodoc README.${MOD_BINS} || die "dodoc failed"
- else
- for tbz2 in ${MOD_TBZ2}
- do
- if [ -e ${S}/README.${tbz2} ]
- then
- dodoc README.${tbz2} || die "dodoc failed"
- fi
- done
- fi
+ for readme in README*
+ do
+ dodoc ${readme} || die "dodoc failed"
+ done
if [ -n "${MOD_BINS}" ]
then
exeinto ${dir}